## GtkPlot3D GtkPlot3D — 3d scientific plots widget |

## Functions

GtkWidget * | gtk_plot3d_new ()
GtkWidget * | gtk_plot3d_new_with_size ()
void | gtk_plot3d_construct ()
void | gtk_plot3d_construct_with_size ()
void | gtk_plot3d_autoscale ()
void | gtk_plot3d_rotate ()
void | gtk_plot3d_rotate_vector ()
void | gtk_plot3d_reset_angles ()
void | gtk_plot3d_rotate_x ()
void | gtk_plot3d_rotate_y ()
void | gtk_plot3d_rotate_z ()
void | gtk_plot3d_get_pixel ()
void | gtk_plot3d_set_xrange ()
void | gtk_plot3d_set_yrange ()
void | gtk_plot3d_set_zrange ()
void | gtk_plot3d_set_xfactor ()
void | gtk_plot3d_set_yfactor ()
void | gtk_plot3d_set_zfactor ()
gdouble | gtk_plot3d_get_xfactor ()
gdouble | gtk_plot3d_get_yfactor ()
gdouble | gtk_plot3d_get_zfactor ()
void | gtk_plot3d_plane_set_color ()
void | gtk_plot3d_plane_set_visible ()
gboolean | gtk_plot3d_plane_visible ()
void | gtk_plot3d_corner_set_visible ()
gboolean | gtk_plot3d_corner_visible ()
void | gtk_plot3d_corner_set_attributes ()
void | gtk_plot3d_corner_get_attributes ()
void | gtk_plot3d_frame_set_attributes ()
void | gtk_plot3d_frame_get_attributes ()
GtkPlotAxis * | gtk_plot3d_get_axis ()
GtkPlotAxis * | gtk_plot3d_get_side ()
void | gtk_plot3d_show_major_ticks ()
void | gtk_plot3d_show_minor_ticks ()
void | gtk_plot3d_show_labels ()
void | gtk_plot3d_show_title ()
void | gtk_plot3d_hide_title ()
void | gtk_plot3d_set_ticks ()
void | gtk_plot3d_set_major_ticks ()
void | gtk_plot3d_set_minor_ticks ()
void | gtk_plot3d_set_ticks_length ()
void | gtk_plot3d_set_ticks_width ()
void | gtk_plot3d_show_ticks ()
void | gtk_plot3d_set_titles_offset ()
gint | gtk_plot3d_get_titles_offset ()
void | gtk_plot3d_set_scale ()
GtkPlotScale | gtk_plot3d_get_scale ()
void | gtk_plot3d_major_grids_set_visible ()
void | gtk_plot3d_minor_grids_set_visible ()
void | gtk_plot3d_major_grids_visible ()
void | gtk_plot3d_minor_grids_visible ()
void | gtk_plot3d_major_zgrid_set_attributes ()
void | gtk_plot3d_major_zgrid_get_attributes ()
void | gtk_plot3d_minor_zgrid_set_attributes ()
void | gtk_plot3d_minor_zgrid_get_attributes ()

## Properties

gdouble | a1 | Read / Write
gdouble | a2 | Read / Write
gdouble | a3 | Read / Write
gpointer | center-vector | Read / Write
gpointer | color-xy | Read / Write
gpointer | color-yz | Read / Write
gpointer | color-zx | Read / Write
gpointer | corner-line | Read / Write
gboolean | corner-visible | Read / Write
gpointer | e1-vector | Read / Write
gpointer | e2-vector | Read / Write
gpointer | e3-vector | Read / Write
gpointer | frame-line | Read / Write
gpointer | origin-vector | Read / Write
gint | titles-offset | Read / Write
gdouble | xfactor | Read / Write
gint | xy-label-mask | Read / Write
gint | xy-major-mask | Read / Write
gint | xy-minor-mask | Read / Write
gboolean | xy-title-visible | Read / Write
gboolean | xy-visible | Read / Write
gint | xz-label-mask | Read / Write
gint | xz-major-mask | Read / Write
gint | xz-minor-mask | Read / Write
gboolean | xz-title-visible | Read / Write
gdouble | yfactor | Read / Write
gint | yx-label-mask | Read / Write
gint | yx-major-mask | Read / Write
gint | yx-minor-mask | Read / Write
gboolean | yx-title-visible | Read / Write
gint | yz-label-mask | Read / Write
gint | yz-major-mask | Read / Write
gint | yz-minor-mask | Read / Write
gboolean | yz-title-visible | Read / Write
gboolean | yz-visible | Read / Write
gdouble | zfactor | Read / Write
gdouble | zmax | Read / Write
gdouble | zmin | Read / Write
gint | zscale | Read / Write
gint | zx-label-mask | Read / Write
gint | zx-major-mask | Read / Write
gint | zx-minor-mask | Read / Write
gboolean | zx-title-visible | Read / Write
gboolean | zx-visible | Read / Write
gint | zy-label-mask | Read / Write
gint | zy-major-mask | Read / Write
gint | zy-minor-mask | Read / Write
gboolean | zy-title-visible | Read / Write

## Types and Values

struct | GtkPlot3D
enum | GtkPlotPlane
enum | GtkPlotSide

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkMisc
                        ╰── GtkPlot
                            ╰── GtkPlot3D

## Implemented Interfaces

GtkPlot3D implements AtkImplementorIface and GtkBuildable.

## Includes

    #include <gtkextra.h>

## Description

FIXME:: Need long description.

## Functions

### gtk_plot3d_new ()

    GtkWidget *
    gtk_plot3d_new (GdkDrawable *drawable);

#### Parameters

drawable | a Gdk drawable. |

### gtk_plot3d_new_with_size ()

    GtkWidget *
    gtk_plot3d_new_with_size (GdkDrawable *drawable,
                              gdouble width,
                              gdouble height);

#### Parameters

drawable | a Gdk drawable. |

### gtk_plot3d_construct ()

    void
    gtk_plot3d_construct (GtkPlot3D *plot,
                          GdkDrawable *drawable);

#### Parameters

plot | a GtkPlot3D widget. |
drawable | a Gdk drawable. |

### gtk_plot3d_construct_with_size ()

    void
    gtk_plot3d_construct_with_size (GtkPlot3D *plot,
                                    GdkDrawable *drawable,
                                    gdouble width,
                                    gdouble height);

#### Parameters

plot | a GtkPlot3D widget. |
drawable | a Gdk drawable. |

### gtk_plot3d_autoscale ()

    void
    gtk_plot3d_autoscale (GtkPlot3D *plot);

#### Parameters

plot | a GtkPlot3D widget. |

### gtk_plot3d_rotate ()

    void
    gtk_plot3d_rotate (GtkPlot3D *plot,
                       gdouble angle_x,
                       gdouble angle_y,
                       gdouble angle_z);

#### Parameters

plot | a GtkPlot3D widget. |

### gtk_plot3d_rotate_vector ()

    void
    gtk_plot3d_rotate_vector (GtkPlot3D *plot,
                              GtkPlotVector *vector,
                              gdouble a1,
                              gdouble a2,
                              gdouble a3);

#### Parameters

plot | a GtkPlot3D widget. |

### gtk_plot3d_reset_angles ()

    void
    gtk_plot3d_reset_angles (GtkPlot3D *plot);

#### Parameters

plot | a GtkPlot3D widget. |

### gtk_plot3d_rotate_x ()

    void
    gtk_plot3d_rotate_x (GtkPlot3D *plot,
                         gdouble angle);

#### Parameters

plot | a GtkPlot3D widget. |

### gtk_plot3d_rotate_y ()

    void
    gtk_plot3d_rotate_y (GtkPlot3D *plot,
                         gdouble angle);

#### Parameters

plot | a GtkPlot3D widget. |

### gtk_plot3d_rotate_z ()

    void
    gtk_plot3d_rotate_z (GtkPlot3D *plot,
                         gdouble angle);

#### Parameters

plot | a GtkPlot3D widget. |

### gtk_plot3d_get_pixel ()

    void
    gtk_plot3d_get_pixel (GtkPlot3D *plot,
                          gdouble x,
                          gdouble y,
                          gdouble z,
                          gdouble *px,
                          gdouble *py,
                          gdouble *pz);

#### Parameters

plot | a GtkPlot3D widget. |

### gtk_plot3d_set_xrange ()

    void
    gtk_plot3d_set_xrange (GtkPlot3D *plot,
                           gdouble min,
                           gdouble max);

#### Parameters

plot | a GtkPlot3D widget. |

### gtk_plot3d_set_yrange ()

    void
    gtk_plot3d_set_yrange (GtkPlot3D *plot,
                           gdouble min,
                           gdouble max);

#### Parameters

plot | a GtkPlot3D widget. |

### gtk_plot3d_set_zrange ()

    void
    gtk_plot3d_set_zrange (GtkPlot3D *plot,
                           gdouble min,
                           gdouble max);

#### Parameters

plot | a GtkPlot3D widget. |

### gtk_plot3d_set_xfactor ()

    void
    gtk_plot3d_set_xfactor (GtkPlot3D *plot,
                            gdouble xfactor);

#### Parameters

plot | a GtkPlot3D widget. |

### gtk_plot3d_set_yfactor ()

    void
    gtk_plot3d_set_yfactor (GtkPlot3D *plot,
                            gdouble yfactor);

#### Parameters

plot | a GtkPlot3D widget. |

### gtk_plot3d_set_zfactor ()

    void
    gtk_plot3d_set_zfactor (GtkPlot3D *plot,
                            gdouble zfactor);

#### Parameters

plot | a GtkPlot3D widget. |

### gtk_plot3d_get_xfactor ()

    gdouble
    gtk_plot3d_get_xfactor (GtkPlot3D *plot);

#### Parameters

plot | a GtkPlot3D widget. |

### gtk_plot3d_get_yfactor ()

    gdouble
    gtk_plot3d_get_yfactor (GtkPlot3D *plot);

#### Parameters

plot | a GtkPlot3D widget. |

### gtk_plot3d_get_zfactor ()

    gdouble
    gtk_plot3d_get_zfactor (GtkPlot3D *plot);

#### Parameters

plot | a GtkPlot3D widget. |

### gtk_plot3d_plane_set_color ()

    void
    gtk_plot3d_plane_set_color (GtkPlot3D *plot,
                                GtkPlotPlane plane,
                                const GdkColor *color);

### gtk_plot3d_plane_set_visible ()

    void
    gtk_plot3d_plane_set_visible (GtkPlot3D *plot,
                                  GtkPlotPlane plane,
                                  gboolean visible);

### gtk_plot3d_plane_visible ()

    gboolean
    gtk_plot3d_plane_visible (GtkPlot3D *plot,
                              GtkPlotPlane plane);

#### Parameters

plot | a GtkPlot3D widget. |

### gtk_plot3d_corner_set_visible ()

    void
    gtk_plot3d_corner_set_visible (GtkPlot3D *plot,
                                   gboolean visible);

#### Parameters

plot | a GtkPlot3D widget. |

### gtk_plot3d_corner_visible ()

    gboolean
    gtk_plot3d_corner_visible (GtkPlot3D *plot);

#### Parameters

plot | a GtkPlot3D widget. |

### gtk_plot3d_corner_set_attributes ()

    void
    gtk_plot3d_corner_set_attributes (GtkPlot3D *plot,
                                      GtkPlotLineStyle style,
                                      gfloat width,
                                      const GdkColor *color);

#### Parameters

plot | a GtkPlot3D widget. |

### gtk_plot3d_corner_get_attributes ()

    void
    gtk_plot3d_corner_get_attributes (GtkPlot3D *plot,
                                      GtkPlotLineStyle *style,
                                      gfloat *width,
                                      GdkColor *color);

### gtk_plot3d_frame_set_attributes ()

    void
    gtk_plot3d_frame_set_attributes (GtkPlot3D *plot,
                                     GtkPlotLineStyle style,
                                     gfloat width,
                                     const GdkColor *color);

#### Parameters

plot | a GtkPlot3D widget. |

### gtk_plot3d_frame_get_attributes ()

    void
    gtk_plot3d_frame_get_attributes (GtkPlot3D *plot,
                                     GtkPlotLineStyle *style,
                                     gfloat *width,
                                     GdkColor *color);

#### Parameters

plot | a GtkPlot3D widget. |

### gtk_plot3d_get_axis ()

    GtkPlotAxis *
    gtk_plot3d_get_axis (GtkPlot3D *plot,
                         GtkPlotOrientation orientation);

#### Parameters

plot | a GtkPlot3D widget. |
orientation | of axis to be returned |

#### Returns

(transfer none) the GtkPlotAxis with given orientation

### gtk_plot3d_get_side ()

    GtkPlotAxis *
    gtk_plot3d_get_side (GtkPlot3D *plot,
                         GtkPlotSide side);

#### Parameters

plot | a GtkPlot3D widget. |
side | GtkPlotSide of the wanted axis |

#### Returns

the GtkPlotAxis on the given side.

[transfer none]

### gtk_plot3d_show_major_ticks ()

    void
    gtk_plot3d_show_major_ticks (GtkPlot3D *plot,
                                 GtkPlotSide side,
                                 gint ticks_mask);

#### Parameters

plot | a GtkPlot3D widget. |

### gtk_plot3d_show_minor_ticks ()

    void
    gtk_plot3d_show_minor_ticks (GtkPlot3D *plot,
                                 GtkPlotSide side,
                                 gint ticks_mask);

#### Parameters

plot | a GtkPlot3D widget. |

### gtk_plot3d_show_labels ()

    void
    gtk_plot3d_show_labels (GtkPlot3D *plot,
                            GtkPlotSide side,
                            gint label_mask);

#### Parameters

plot | a GtkPlot3D widget. |

### gtk_plot3d_show_title ()

    void
    gtk_plot3d_show_title (GtkPlot3D *plot,
                           GtkPlotSide side);

#### Parameters

plot | a GtkPlot3D widget. |

### gtk_plot3d_hide_title ()

    void
    gtk_plot3d_hide_title (GtkPlot3D *plot,
                           GtkPlotSide side);

#### Parameters

plot | a GtkPlot3D widget. |

### gtk_plot3d_set_ticks ()

    void
    gtk_plot3d_set_ticks (GtkPlot3D *plot,
                          GtkPlotOrientation direction,
                          gdouble major_step,
                          gint nminor);

#### Parameters

plot | a GtkPlot3D widget. |

### gtk_plot3d_set_major_ticks ()

    void
    gtk_plot3d_set_major_ticks (GtkPlot3D *plot,
                                GtkPlotOrientation direction,
                                gdouble major_step);

#### Parameters

plot | a GtkPlot3D widget. |

### gtk_plot3d_set_minor_ticks ()

    void
    gtk_plot3d_set_minor_ticks (GtkPlot3D *plot,
                                GtkPlotOrientation direction,
                                gint nminor);

#### Parameters

plot | a GtkPlot3D widget. |

### gtk_plot3d_set_ticks_length ()

    void
    gtk_plot3d_set_ticks_length (GtkPlot3D *plot,
                                 GtkPlotOrientation direction,
                                 gint length);

#### Parameters

plot | a GtkPlot3D widget. |

### gtk_plot3d_set_ticks_width ()

    void
    gtk_plot3d_set_ticks_width (GtkPlot3D *plot,
                                GtkPlotOrientation direction,
                                gfloat width);

#### Parameters

plot | a GtkPlot3D widget. |

### gtk_plot3d_show_ticks ()

    void
    gtk_plot3d_show_ticks (GtkPlot3D *plot,
                           GtkPlotSide side,
                           gint major_mask,
                           gint minor_mask);

#### Parameters

plot | a GtkPlot3D widget. |

### gtk_plot3d_set_titles_offset ()

    void
    gtk_plot3d_set_titles_offset (GtkPlot3D *plot,
                                  gint offset);

#### Parameters

plot | a GtkPlot3D widget. `offset` |

### gtk_plot3d_get_titles_offset ()

    gint
    gtk_plot3d_get_titles_offset (GtkPlot3D *plot);

#### Parameters

plot | a GtkPlot3D widget. |

### gtk_plot3d_set_scale ()

    void
    gtk_plot3d_set_scale (GtkPlot3D *plot,
                          GtkPlotOrientation axis,
                          GtkPlotScale scale);

#### Parameters

plot | a GtkPlot3D widget. |

### gtk_plot3d_get_scale ()

    GtkPlotScale
    gtk_plot3d_get_scale (GtkPlot3D *plot,
                          GtkPlotOrientation axis);

#### Parameters

plot | a GtkPlot3D widget. |

### gtk_plot3d_major_grids_set_visible ()

    void
    gtk_plot3d_major_grids_set_visible (GtkPlot3D *plot,
                                        gboolean x,
                                        gboolean y,
                                        gboolean z);

#### Parameters

plot | a GtkPlot3D widget. |

### gtk_plot3d_minor_grids_set_visible ()

    void
    gtk_plot3d_minor_grids_set_visible (GtkPlot3D *plot,
                                        gboolean x,
                                        gboolean y,
                                        gboolean z);

#### Parameters

plot | a GtkPlot3D widget. |

### gtk_plot3d_major_grids_visible ()

    void
    gtk_plot3d_major_grids_visible (GtkPlot3D *plot,
                                    gboolean *x,
                                    gboolean *y,
                                    gboolean *z);

#### Parameters

plot | a GtkPlot3D widget. |

### gtk_plot3d_minor_grids_visible ()

    void
    gtk_plot3d_minor_grids_visible (GtkPlot3D *plot,
                                    gboolean *x,
                                    gboolean *y,
                                    gboolean *z);

#### Parameters

plot | a GtkPlot3D widget. |

### gtk_plot3d_major_zgrid_set_attributes ()

    void
    gtk_plot3d_major_zgrid_set_attributes (GtkPlot3D *plot,
                                           GtkPlotLineStyle style,
                                           gfloat width,
                                           const GdkColor *color);

#### Parameters

plot | a GtkPlot3D widget. |

### gtk_plot3d_major_zgrid_get_attributes ()

    void
    gtk_plot3d_major_zgrid_get_attributes (GtkPlot3D *plot,
                                           GtkPlotLineStyle *style,
                                           gfloat *width,
                                           GdkColor *color);

#### Parameters

plot | a GtkPlot3D widget. |

### gtk_plot3d_minor_zgrid_set_attributes ()

    void
    gtk_plot3d_minor_zgrid_set_attributes (GtkPlot3D *plot,
                                           GtkPlotLineStyle style,
                                           gfloat width,
                                           const GdkColor *color);

#### Parameters

plot | a GtkPlot3D widget. |

### gtk_plot3d_minor_zgrid_get_attributes ()

    void
    gtk_plot3d_minor_zgrid_get_attributes (GtkPlot3D *plot,
                                           GtkPlotLineStyle *style,
                                           gfloat *width,
                                           GdkColor *color);

#### Parameters

plot | a GtkPlot3D widget. |

## Types and Values

### struct GtkPlot3D

    struct GtkPlot3D;

The GtkPlot3D struct contains only private data. It should only be accessed through the functions described below.

### enum GtkPlotPlane

#### Members

GTK_PLOT_PLANE_XY |  |
GTK_PLOT_PLANE_YX |  |
GTK_PLOT_PLANE_XZ |  |
GTK_PLOT_PLANE_ZX |  |
GTK_PLOT_PLANE_YZ |  |
GTK_PLOT_PLANE_ZY |  |

### enum GtkPlotSide

#### Members

GTK_PLOT_SIDE_XY |  |
GTK_PLOT_SIDE_XZ |  |
GTK_PLOT_SIDE_YX |  |
GTK_PLOT_SIDE_YZ |  |
GTK_PLOT_SIDE_ZX |  |
GTK_PLOT_SIDE_ZY |  |

## Property Details

### The `“a1”` property

      “a1”                       gdouble

Angle 1.

Flags: Read / Write

Default value: 0

### The `“a2”` property

      “a2”                       gdouble

Angle 2.

Flags: Read / Write

Default value: 0

### The `“a3”` property

      “a3”                       gdouble

Angle 3.

Flags: Read / Write

Default value: 0

### The `“center-vector”` property

      “center-vector”            gpointer

Position of the center point.

Flags: Read / Write

### The `“color-xy”` property

      “color-xy”                 gpointer

Color of XY Plane.

Flags: Read / Write

### The `“color-yz”` property

      “color-yz”                 gpointer

Color of YZ Plane.

Flags: Read / Write

### The `“color-zx”` property

      “color-zx”                 gpointer

Color of ZX Plane.

Flags: Read / Write

### The `“corner-line”` property

      “corner-line”              gpointer

Corner Line.

Flags: Read / Write

### The `“corner-visible”` property

      “corner-visible”           gboolean

Draw the entire cube.

Flags: Read / Write

Default value: FALSE

### The `“e1-vector”` property

      “e1-vector”                gpointer

Vector e1.

Flags: Read / Write

### The `“e2-vector”` property

      “e2-vector”                gpointer

Vector e2.

Flags: Read / Write

### The `“e3-vector”` property

      “e3-vector”                gpointer

Vector e3.

Flags: Read / Write

### The `“frame-line”` property

      “frame-line”               gpointer

Frame Line.

Flags: Read / Write

### The `“origin-vector”` property

      “origin-vector”            gpointer

Position of the origin.

Flags: Read / Write

### The `“titles-offset”` property

      “titles-offset”            gint

Titles distance from the axes.

Flags: Read / Write

Allowed values: >= -2147483647

Default value: 0

### The `“xfactor”` property

      “xfactor”                  gdouble

Relative size of the x axis.

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“xy-label-mask”` property

      “xy-label-mask”            gint

XY label mask.

Flags: Read / Write

Allowed values: [0,3]

Default value: 0

### The `“xy-major-mask”` property

      “xy-major-mask”            gint

XY major mask.

Flags: Read / Write

Allowed values: [0,3]

Default value: 0

### The `“xy-minor-mask”` property

      “xy-minor-mask”            gint

XY minor mask.

Flags: Read / Write

Allowed values: [0,3]

Default value: 0

### The `“xy-title-visible”` property

      “xy-title-visible”         gboolean

XY title Visible.

Flags: Read / Write

Default value: FALSE

### The `“xy-visible”` property

      “xy-visible”               gboolean

XY Plane visible.

Flags: Read / Write

Default value: FALSE

### The `“xz-label-mask”` property

      “xz-label-mask”            gint

XZ label mask.

Flags: Read / Write

Allowed values: [0,3]

Default value: 0

### The `“xz-major-mask”` property

      “xz-major-mask”            gint

XZ major mask.

Flags: Read / Write

Allowed values: [0,3]

Default value: 0

### The `“xz-minor-mask”` property

      “xz-minor-mask”            gint

XZ minor mask.

Flags: Read / Write

Allowed values: [0,3]

Default value: 0

### The `“xz-title-visible”` property

      “xz-title-visible”         gboolean

XZ title Visible.

Flags: Read / Write

Default value: FALSE

### The `“yfactor”` property

      “yfactor”                  gdouble

Relative size of the y axis.

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“yx-label-mask”` property

      “yx-label-mask”            gint

YX label mask.

Flags: Read / Write

Allowed values: [0,3]

Default value: 0

### The `“yx-major-mask”` property

      “yx-major-mask”            gint

YX major mask.

Flags: Read / Write

Allowed values: [0,3]

Default value: 0

### The `“yx-minor-mask”` property

      “yx-minor-mask”            gint

YX minor mask.

Flags: Read / Write

Allowed values: [0,3]

Default value: 0

### The `“yx-title-visible”` property

      “yx-title-visible”         gboolean

YX title Visible.

Flags: Read / Write

Default value: FALSE

### The `“yz-label-mask”` property

      “yz-label-mask”            gint

YZ label mask.

Flags: Read / Write

Allowed values: [0,3]

Default value: 0

### The `“yz-major-mask”` property

      “yz-major-mask”            gint

YZ major mask.

Flags: Read / Write

Allowed values: [0,3]

Default value: 0

### The `“yz-minor-mask”` property

      “yz-minor-mask”            gint

YZ minor mask.

Flags: Read / Write

Allowed values: [0,3]

Default value: 0

### The `“yz-title-visible”` property

      “yz-title-visible”         gboolean

YZ title Visible.

Flags: Read / Write

Default value: FALSE

### The `“yz-visible”` property

      “yz-visible”               gboolean

YZ Plane visible.

Flags: Read / Write

Default value: FALSE

### The `“zfactor”` property

      “zfactor”                  gdouble

Relative size of the z axis.

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“zmax”` property

      “zmax”                     gdouble

Max value of the Z axis.

Flags: Read / Write

Default value: 0

### The `“zmin”` property

      “zmin”                     gdouble

Min value of the Z axis.

Flags: Read / Write

Default value: 0

### The `“zscale”` property

      “zscale”                   gint

Scale used for the Z axis.

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“zx-label-mask”` property

      “zx-label-mask”            gint

ZX label mask.

Flags: Read / Write

Allowed values: [0,3]

Default value: 0

### The `“zx-major-mask”` property

      “zx-major-mask”            gint

ZX major mask.

Flags: Read / Write

Allowed values: [0,3]

Default value: 0

### The `“zx-minor-mask”` property

      “zx-minor-mask”            gint

ZX minor mask.

Flags: Read / Write

Allowed values: [0,3]

Default value: 0

### The `“zx-title-visible”` property

      “zx-title-visible”         gboolean

ZX title Visible.

Flags: Read / Write

Default value: FALSE

### The `“zx-visible”` property

      “zx-visible”               gboolean

ZX Plane visible.

Flags: Read / Write

Default value: FALSE

### The `“zy-label-mask”` property

      “zy-label-mask”            gint

ZY label mask.

Flags: Read / Write

Allowed values: [0,3]

Default value: 0

### The `“zy-major-mask”` property

      “zy-major-mask”            gint

ZY major mask.

Flags: Read / Write

Allowed values: [0,3]

Default value: 0

### The `“zy-minor-mask”` property

      “zy-minor-mask”            gint

ZY minor mask.

Flags: Read / Write

Allowed values: [0,3]

Default value: 0

### The `“zy-title-visible”` property

      “zy-title-visible”         gboolean

ZY title Visible.

Flags: Read / Write

Default value: FALSE